image: node:lts-alpine

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH'

cache:
  paths:
    - vendor/

before_script:
  - npm install

pages:
  stage: deploy
  tags:
     - ci.inria.fr
     - medium
  script:
    - export NODE_OPTIONS=--openssl-legacy-provider
    - npm run docs:build
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'

# test:
#   stage: test
#   script:
#     - bundle exec jekyll build -d test
#   artifacts:
#     paths:
#       - test
#   rules:
#     - if: '$CI_COMMIT_BRANCH != "master"'
